LFR-FSW - Support #956

Documenter le mecanisme associé a SSS-CP-EQS-526
02/03/2017 01:30 PM - Veronique bouzid

Status: Closed Start date: 02/03/2017
Priority: High Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Il faudrait détailler dans une prochaine release du RPW-MEB-LFR-SPC-00003-1-12_technical_specifications le mécanisme du filtre
IIR (paramétres...)
Si possible pour le DP R3++ sinpn pour la release suivante. La SRS fait référence a la tech spec pour I'implémentation du filtre.

Related issues:
Related to Task #3038: SDD : Ajouter un paragraphe sur la caractérisation du ... Closed 22/06/2018

History

#1 - 10/03/2017 08:15 AM - Veronique bouzid
- Priority changed from Normal to High

#2 - 10/03/2017 11:09 AM - paul leroy

Les moyennes sont effectuées dans le code par la tadche
rtems_taskavgv_task(rtems_task_argumentargument)

Dans cette tache, on effectue une moyenne glissante des valeurs lues dans les registres du waveform picker a chaque réveil de la tache (période de
60ms).

while (1)
{ // launch the rate monotonic task
status = rtems_rate_monotonic_period( AVGV_id, AVGV_PERIOD );
if ( status != RTEMS_SUCCESSFUL )
{
PRINTF1( "in AVGV *** ERR period: %d\n", status);
}
else
{

// get new values

newValue_v = waveform picker_regs->v;
newValue_el = waveform_picker_regs->el;
newValue_e2 = waveform_picker_regs->e2;

// compute the moving average

average_v = average_v + newValue_v - vI[k];
average_el = average_el + newValue_el - el[k];
average_e2 + newValue_e2 - e2[k];

average_e?2

// store new values in buffers

v[k] = newValue_v;
el[k] = newValue_el;
e2[k] = newValue_e2;
}
if (k == (MOVING_AVERAGE-1)
{
k = 0;
}
else
{
k++;

}
//update intl6 values
hk_1fr_sc_v_f3_as_intl6 = (intl6_t) (average_v / ((float) MOVING_AVERAGE) );
hk_1fr sc_el_f3_as_intlo = (intl6_t) (average_el / ((float) MOVING_AVERAGE) );
hk_1fr_sc_e2_ f3_as_intl6 = (intl6_t) (average_e2 / ((float) MOVING_AVERAGE) );

#3 - 10/03/2017 11:10 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid

#4 - 13/03/2017 01:37 PM - thomas chust

- Assignee changed from Veronique bouzid to paul leroy

Paul,
Je viens je crois de comprendre ce joli algorithme mais n'y a t-il pas un probleme avec la périodicité de la tache ? Tu dis toutes les 60ms alors que
1/16 s = 62.5 ms ... N'y a t-il un probléme de dérive sous-jacent?

#5 - 20/03/2017 08:33 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Il me semble que Thomas et Alexis ont parlé de cela ensemble et que la conclusion était qu'on pouvait vivre avec.
Les taches sont réveillées avec des périodes multiples de 10ms, j'ai pris 60ms car c'est la plus proche de 1/16 = 62.5ms.

#6 - 20/03/2017 09:53 AM - bruno katra

- Assignee changed from Veronique bouzid to thomas chust

Thomas, confirmes-tu que tu as les infos nécessaires et que c'est clair pour toi, nous aurons besoin de toi pour rédiger le SUM et la SRS

#7 - 20/03/2017 11:19 AM - thomas chust

Dans l'immédiat non. Je viens de terminer de faire une petite simu de la moyenne glissante et si cela marche plutét bien pour les signaux a 0.1H, il y
a comme un bug résiduel dans le cas a 5Hz (oscillation a 3s pas si négligeable) que je vais poster dans un des autres points ...

Sinon Paul je peux déja soulever la question: la datation des HK 1s ne coincide pas avec une date a F3. Par construction cela devrait étre le cas non
?

#8 - 09/05/2017 01:59 PM - bruno katra
- Description updated

- Assignee changed from thomas chust to Alexis Jeandet

#9 - 13/12/2018 03:01 PM - bruno katra
- Related to Task #3038: SDD : Ajouter un paragraphe sur la caractérisation du filtre IR added

#10 - 01/04/2019 12:03 PM - bruno katra
- Status changed from Feedback to Closed

Fait dans SDD 1.5
